zenilib: zenilib/jni/external/freetype2/src/sfnt/ttcmap.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
ttcmap.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_TRUETYPE_TYPES_H>`
`#include <FT_INTERNAL_VALIDATE_H>`
`#include <FT_SERVICE_TT_CMAP_H>`

Go to the source code of this file.

## Classes

struct | TT_CMap_ClassRec_
struct | TT_CMapRec_
struct | TT_ValidatorRec_

## Macros

#define | FT_DEFINE_TT_CMAP(class_, size_, init_, done_, char_index_,char_next_, char_var_index_, char_var_default_, variant_list_,charvariant_list_, variantchar_list_,format_, validate_, get_cmap_info_)
#define | TT_CMAP_FLAG_OVERLAPPING 2
#define | TT_CMAP_FLAG_UNSORTED 1
#define | TT_VALID_GLYPH_COUNT(x) TT_VALIDATOR( x )->num_glyphs
#define | TT_VALIDATOR(x) ((TT_Validator)( x ))

## Typedefs

typedef struct TT_CMapRec_ * | TT_CMap
typedef struct TT_CMap_ClassRec_ * | TT_CMap_Class
typedef struct TT_CMap_ClassRec_ | TT_CMap_ClassRec
typedef FT_Error(* | TT_CMap_ValidateFunc )(FT_Byte *data, FT_Validator valid)
typedef struct TT_CMapRec_ | TT_CMapRec
typedef struct TT_ValidatorRec_ * | TT_Validator
typedef struct TT_ValidatorRec_ | TT_ValidatorRec

## Functions

| tt_face_build_cmaps (TT_Face face)
| tt_get_cmap_info (FT_CharMap charmap, TT_CMapInfo *cmap_info)

## Macro Definition Documentation

#define FT_DEFINE_TT_CMAP | ( |  | class_,
|  |  | size_,
|  |  | init_,
|  |  | done_,
|  |  | char_index_,
|  |  | char_next_,
|  |  | char_var_index_,
|  |  | char_var_default_,
|  |  | variant_list_,
|  |  | charvariant_list_,
|  |  | variantchar_list_,
|  |  | format_,
|  |  | validate_,
|  |  | get_cmap_info_
| ) |  |

Value:
FT_CALLBACK_TABLE_DEF \
const TT_CMap_ClassRec class_ = \
{ \
{size_, init_, done_, char_index_, \
char_next_, char_var_index_, char_var_default_, variant_list_, \
charvariant_list_, variantchar_list_}, \
format_, validate_, get_cmap_info_ \
};
TT_CMap_ClassRec_
Definition: ttcmap.h:49
const
#define const
Definition: zconf.h:91

Definition at line 60 of file ttcmap.h.

#define TT_CMAP_FLAG_OVERLAPPING 2

Definition at line 32 of file ttcmap.h.

#define TT_CMAP_FLAG_UNSORTED 1

Definition at line 31 of file ttcmap.h.

#define TT_VALID_GLYPH_COUNT | ( |  | x | ) | TT_VALIDATOR( x )->num_glyphs

Definition at line 108 of file ttcmap.h.

#define TT_VALIDATOR | ( |  | x | ) | ((TT_Validator)( x ))

Definition at line 107 of file ttcmap.h.

## Typedef Documentation

typedef struct TT_CMapRec_ * TT_CMap

typedef struct TT_CMap_ClassRec_* TT_CMap_Class

Definition at line 42 of file ttcmap.h.

typedef struct TT_CMap_ClassRec_ TT_CMap_ClassRec

typedef FT_Error(* TT_CMap_ValidateFunc)(FT_Byte *data, FT_Validator valid)

Definition at line 46 of file ttcmap.h.

typedef struct TT_CMapRec_ TT_CMapRec

typedef struct TT_ValidatorRec_ * TT_Validator

typedef struct TT_ValidatorRec_ TT_ValidatorRec

## Function Documentation

tt_face_build_cmaps | ( | TT_Face | face | ) |

Definition at line 3389 of file ttcmap.c.

References FT_CharMapRec_::encoding, FT_CharMapRec_::encoding_id, FT_ValidatorRec_::error, FT_CharMapRec_::face, TT_CMap_ClassRec_::format, FT_CMap_New(), FT_ERROR, FT_FACE, FT_FACE_LIBRARY, ft_jmp_buf, FT_MAX_CHARMAP_CACHEABLE, ft_setjmp, FT_TRACE0, FT_TT_CMAP_CLASSES_GET, FT_UNUSED, FT_VALIDATE_DEFAULT, FT_VALIDATOR, ft_validator_init(), if(), TT_ValidatorRec_::num_glyphs, FT_CharMapRec_::platform_id, TT_NEXT_ULONG, TT_NEXT_USHORT, TT_PEEK_USHORT, TT_CMap_ClassRec_::validate, and TT_ValidatorRec_::validator.

Referenced by sfnt_load_face().

tt_get_cmap_info | ( | FT_CharMap | charmap,
|  | TT_CMapInfo * | cmap_info
| ) |  |

Definition at line 3501 of file ttcmap.c.

References FT_CMapRec_::clazz, and TT_CMap_ClassRec_::get_cmap_info.